import asyncio

from pyrogram import idle

from pyPorn import LOGS, app, ubot
from pyPorn.config import Env
from pyPorn.core.startup import fetch_plugins_from_channel, joined_chat, log_channel


async def run_bot():
    try:
        await update_it()
    except BaseException:
        pass
    """Run The Bot"""
    await app.start()
    await ubot.start()
    await joined_chat()
    if Env.PLUGIN_CHANNEL:
        LOGS.info(" >>  Installing Plugins...")
        await fetch_plugins_from_channel()
    LOGS.info(" >>  Checking Log Channel...")
    chid = await log_channel()
    try:
        await app.send_message(chat_id=chid[1], text="`PornBot is alive!`")
    except BaseException:
        LOGS.warn(
            "There was an error while creating the LOG CHANNEL please add a one manually!"
        )
    LOGS.info("\n\n ✨ Porn-Bot is Alive \n\n")
    await idle()


if __name__ == "__main__":
    loop = asyncio.get_event_loop()
    loop.run_until_complete(run_bot())
